package com.hotent.surveyinfo.manager;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.hotent.base.manager.BaseManager;
import com.hotent.base.query.PageList;
import com.hotent.surveyinfo.model.*;
import com.hotent.surveyinfo.req.ConstSurveyFdPageParam;
import com.hotent.surveyinfo.req.ConstSurveyFdPageReq;
import com.hotent.surveyinfo.req.ConstSurveyPageReq;

import java.util.List;

/**
 * 财务数据表模板表 服务类
 *
 * @company 山西清众科技股份有限公司
 * @author 超级管理员
 * @since 2025-09-19
 */
public interface CostSurveyFdTemplateManager extends BaseManager<CostSurveyFdTemplate> {

	IPage<CostSurveyFdTemplate> getCostSurveyList(ConstSurveyFdPageReq req);


	IPage<CostSurveyFdTemplate> getAllcurrentCostSurveyList(ConstSurveyFdPageReq req);


//	List<CostSurveyTemplate> selectByCondition(CostSurveyTemplate costSurveyTemplate );
	/**
	 * 根据主键获取详情
	 * @param id
	 * @return
	 */
	CostSurveyFdTemplate getDetail(String id);
	/**
	 * 新建、更新财务数据表模板表
	 * @param costSurveyFdTemplate
	 * @return
	 */
	void createOrUpdate(CostSurveyFdTemplate costSurveyFdTemplate);

	void batchRemove(List<String> ids);

	 List<CostSurveyFdTemplateHeaders> getHeadersByTemplateId(String templateId) ;

	 List<CostSurveyFdTemplateItems> getItemsByTemplateId(String templateId) ;

	List<CostSurveyFdTemplate> listByCatalogId(String catalogId);


	PageList<CostSurveyFdTemplate> listPage(ConstSurveyFdPageParam param) throws Exception;
}
